Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047236
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2021-06-24 09:532021-06-29 00:19
ReporteralostaleView Statuspublic 
Assigned Toplatform 
PrioritynormalResolutionfixedFixed in VersionPR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2020-10-15
Regression introduced in releasePR21Q1
Regression introduced by commithttps://gitlab.com/openbravo/product/openbravo/-/commit/91d54a5c0457fe6ea58c688a01b11473963ac0c6 [^]
Triggers an Emergency PackNo
Summary

0047236: "changes pending" displayed after MMC module install + rebuild

DescriptionAfter installing a module from Module Management window (MMC) and rebuilding the system to apply the changes as described in the documentation [1]. When MMC is opened again "Changes pending, rebuild required" still appears for that module.
Steps To ReproduceIn a clean instance:
1. Log in as System Administrator
2. Open MMC
3. Install Hello World module (or any other)
4. See "Changes pending, rebuild required" appears in main tab for this module
  -> OK
5. Stop tomcat, run ant update.database compile.complete.deploy, restart tomcat
6. Open MMC
7. See "Changes pending, rebuild required" appears in main tab for the installed module
  -> ERROR: changes should have been applied and message shouldn't appear
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047237PR21Q1.4 closedplatform "changes pending" displayed after MMC module install + rebuild 
depends on backport 0047238PR21Q2.1 closedplatform "changes pending" displayed after MMC module install + rebuild 
caused by feature request 0044269 closedalostale remove GUI rebuild+restart from MMC 

-  Notes
(0129760)
alostale (developer)
2021-06-24 09:56

Workaround: execute ant smartbuild to "fix" the problem
(0129762)
hgbot (developer)
2021-06-24 10:40

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/405 [^]
(0129779)
hgbot (developer)
2021-06-24 16:37

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/405 [^]
(0129780)
hgbot (developer)
2021-06-24 16:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 6d593a3d74c07959953ffc85910c430aadbe4d8b
Author: Asier Lostalé <asier.lostale@openbravo.com>
Date: 2021-06-24T12:58:54+02:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/6d593a3d74c07959953ffc85910c430aadbe4d8b [^]

fixes BUG-47236: "changes pending" displayed after MMC module install + rebuild

After following the steps described in the doc to install a module:
 - Install module from MMC
 - ant update.database
 - ant compile.complete.deploy

the module remains in status Pending (P).

Status is updated to Applied (A) on install.source and smartbuild.

This fix moves the status update from smartbuild to update.database
after applying modules (importing their reference data) where this flag is
used. In fact, this is more correct than what was done before as
smartbuild without datbase update could lead modules in an incorrect
status.

---
M build.xml
---

- Issue History
Date Modified Username Field Change
2021-06-24 09:53 alostale New Issue
2021-06-24 09:53 alostale Assigned To => platform
2021-06-24 09:53 alostale Modules => Core
2021-06-24 09:53 alostale Regression level => Production - Confirmed Stable
2021-06-24 09:53 alostale Regression date => 2020-10-15
2021-06-24 09:53 alostale Regression introduced in release => PR21Q1
2021-06-24 09:53 alostale Regression introduced by commit => https://gitlab.com/openbravo/product/openbravo/-/commit/91d54a5c0457fe6ea58c688a01b11473963ac0c6 [^]
2021-06-24 09:53 alostale Triggers an Emergency Pack => No
2021-06-24 09:55 alostale Status new => scheduled
2021-06-24 09:56 alostale Summary "changes peding" displayed after MMC module install + rebuild => "changes pending" displayed after MMC module install + rebuild
2021-06-24 09:56 alostale Note Added: 0129760
2021-06-24 10:40 hgbot Note Added: 0129762
2021-06-24 12:18 shuehner Issue Monitored: shuehner
2021-06-24 16:37 hgbot Resolution open => fixed
2021-06-24 16:37 hgbot Status scheduled => closed
2021-06-24 16:37 hgbot Note Added: 0129779
2021-06-24 16:37 hgbot Fixed in Version => PR21Q3
2021-06-24 16:37 hgbot Note Added: 0129780
2021-06-29 00:19 dmitry_mezentsev Relationship added caused by 0044269


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker